Files
for-gentoo/dev-util/adobe-air-sdk-bin/files/airstart
T
2010-12-06 08:51:59 +00:00

35 lines
545 B
Bash

#!/bin/sh
synopsis() {
echo "Synopsis: $0 appl.air" >&2
exit 1
}
[ -z "$1" ] && synopsis
tmpdir="$(mktemp -d /tmp/adobeair.XXXXXXXXXX)"
cleanup() {
rm -rf "${tmpdir}"
}
runair() {
if [ ! -f "$1" ]; then
echo 'Specified application file not found:' "$1" >&2
cleanup
synopsis
return 1
fi
if ! unzip -q "$1" -d "${tmpdir}"; then
echo 'Unable to extract AIR application:' "$1" >&2
return 1
fi
/opt/bin/adl -nodebug "${tmpdir}"/META-INF/AIR/application.xml "${tmpdir}"
}
trap cleanup HUP INT QUIT TERM
runair "$1"
cleanup